Skip to main content
GET
Go (SDK)

Authorizations

Authorization
string
header
required

You can generate an Organization Access Token from your organization's settings.

Path Parameters

id
string<uuid4>
required

The meter ID.

Query Parameters

start_timestamp
string<date-time>
required

Start timestamp.

end_timestamp
string<date-time>
required

End timestamp.

interval
enum<string>
required

Interval between two timestamps.

Available options:
year,
month,
week,
day,
hour
timezone
string
default:UTC

Timezone to use for the timestamps. Default is UTC.

Minimum string length: 1
customer_id

Filter by customer ID. The customer ID.

external_customer_id

Filter by external customer ID.

customer_aggregation_function
enum<string> | null

If set, will first compute the quantities per customer before aggregating them using the given function. If not set, the quantities will be aggregated across all events.

Available options:
count,
sum,
max,
min,
avg,
unique
metadata
MetadataQuery · object | null

Filter by metadata key-value pairs. It uses the deepObject style, e.g. ?metadata[key]=value.

Response

Successful Response

quantities
MeterQuantity · object[]
required
total
number
required

The total quantity for the period.

Example:

100